From: <a href="/blend/av.cgi?id=2028">ldhamric3</a><BR>
Date: 3 December 2010<P>

I wrote "The Ark" 8 years ago, and posted it on this site. I found it by randomly searching for my name on the internet.  I am curious what people will think about it 8 years later.  I hope it will age like a fine wine, I hope it hasn't turned to vinegar.  I always liked it. I know it's long but I would be curious what anyone thinks. 
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 3 December 2010<P>

Louis Hamric, about <a href="/blend/wv.cgi?id=2010.12.03.03.34.7378">The Ark</a><BR>
<BR>
Mr Hamric, this is truly amazing and made me cry reading it. I think the fine wine analogy is correct. Very nicely done and I hope you will share more here.<BR>
<BR>
bk
<HR>